aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/e_repository_TEST_ever_setup.sh
diff options
context:
space:
mode:
authorAvatar Paul Mulders <info@mld.demon.nl> 2010-02-15 12:48:27 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-02-15 14:59:53 +0000
commitb1396996d5d99f5edcd25c644f4c8818afac6f0b (patch)
treefe6d78780e4aeb3a551d7e8fb371feca18dbf3c5 /paludis/repositories/e/e_repository_TEST_ever_setup.sh
parentea4d3f5df4695119b5be9c1d202abdef40a12fb4 (diff)
downloadpaludis-b1396996d5d99f5edcd25c644f4c8818afac6f0b.tar.gz
paludis-b1396996d5d99f5edcd25c644f4c8818afac6f0b.tar.xz
Implement ever is_scm.
Diffstat (limited to 'paludis/repositories/e/e_repository_TEST_ever_setup.sh')
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_ever_setup.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_ever_setup.sh b/paludis/repositories/e/e_repository_TEST_ever_setup.sh
index de5b5ffa4..657909a7b 100755
--- a/paludis/repositories/e/e_repository_TEST_ever_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_ever_setup.sh
@@ -59,6 +59,29 @@ pkg_setup() {
ever at_least 1.4 1.2 && die "at_least 1.4 1.2"
}
END
+mkdir -p "packages/cat/ever-is_scm"
+cat <<'END' > packages/cat/ever-is_scm/ever-is_scm-1.ebuild || exit 1
+if ever is_scm ; then
+ DESCRIPTION="Not The Long Description"
+ SUMMARY="Not The Short Description"
+else
+ DESCRIPTION="The Long Description"
+ SUMMARY="The Short Description"
+fi
+HOMEPAGE="http://example.com/"
+DOWNLOADS=""
+SLOT="0"
+MYOPTIONS="spork"
+LICENCES="GPL-2"
+PLATFORMS="test"
+
+pkg_setup() {
+ ever is_scm scm || die "is_scm scm"
+ ever is_scm 1.0-scm || die "is_scm 1.0-scm"
+ ever is_scm 1 && die "is_scm 1"
+ ever is_scm && die "is_scm"
+}
+END
mkdir -p "packages/cat/ever-split"
cat <<'END' > packages/cat/ever-split/ever-split-1.ebuild || exit 1
HOMEPAGE="http://example.com/"